com.io7m.r2.meshes.tools

## Interface R2MeshConverterType

- All Known Implementing Classes:
    R2MeshConverter

      public interface R2MeshConverterType

  The type of mesh converters.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,R2MeshType>` | `getMeshes()`
    `void` | `loadMeshesFromFile(Path p, R2MeshFileFormat fmt)` Load all meshes from the given file.
    `void` | `loadMeshesFromFileInferred(Path p)` Load all meshes from the given file.
    `void` | `writeMeshToFile(Path p, String name, R2MeshFileFormat fmt)` Write the named mesh to the given file.
    `void` | `writeMeshToFileInferred(Path p, String name)` Write the named mesh to the given file.

- - ### Method Detail

    - #### loadMeshesFromFile

          void loadMeshesFromFile(Path p,
                                  R2MeshFileFormat fmt)

      Load all meshes from the given file.
      Parameters:
        `p` - The file
        `fmt` - The mesh format

    - #### loadMeshesFromFileInferred

          void loadMeshesFromFileInferred(Path p)

      Load all meshes from the given file. The format will be inferred from the file suffix.
      Parameters:
        `p` - The file

    - #### getMeshes

          Map<String,R2MeshType> getMeshes()

      Returns:
        A read-only view of the loaded meshes

    - #### writeMeshToFile

          void writeMeshToFile(Path p,
                               String name,
                               R2MeshFileFormat fmt)

      Write the named mesh to the given file.
      Parameters:
        `p` - The file
        `name` - The mesh name (not used for all formats)
        `fmt` - The mesh format

    - #### writeMeshToFileInferred

          void writeMeshToFileInferred(Path p,
                                       String name)

      Write the named mesh to the given file. The format will be inferred from the file suffix.
      Parameters:
        `p` - The file
        `name` - The mesh name (not used for all formats)

Copyright © 2017 <code@io7m.com> http://io7m.com